use organic::wasm::wasm_parse_org;
use wasm_bindgen::prelude::wasm_bindgen;

#[wasm_bindgen]
pub fn parse_org(org_contents: &str) -> wasm_bindgen::JsValue {
    let rust_parsed = wasm_parse_org(org_contents);
    serde_wasm_bindgen::to_value(&rust_parsed).unwrap()
}

fn main() -> Result<(), Box<dyn std::error::Error>> {
    Ok(())
}
